Index: FOIAVistA/tag/r/SURGERY-SR/SROAUTL4.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAUTL4.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAUTL4.m	(revision 636)
@@ -1,16 +1,11 @@
-SROAUTL4 ;BIR/ADM - RISK ASSESSMENT UTILITY ;01/10/08
- ;;3.0; Surgery ;**38,71,95,125,153,160,164,166**;24 Jun 93;Build 6
- N SRZZ,SRXX,SRX1
+SROAUTL4 ;BIR/ADM - RISK ASSESSMENT UTILITY ;08/24/07
+ ;;3.0; Surgery ;**38,71,95,125,153,160,164**;24 Jun 93;Build 2
  S SRZ=0 F  S SRZ=$O(SRY(130,SRTN,SRZ)) Q:'SRZ  D
- .I SRY(130,SRTN,SRZ,"I")="" D TR S (SRX1,X)=$T(@SRP),SRFLD=$P(X,";;",2) D
+ .I SRY(130,SRTN,SRZ,"I")="" D TR S X=$T(@SRP),SRFLD=$P(X,";;",2) D
+ ..I SRZ=451!(SRZ=450) S SRX($P(SRFLD,"^",2))=$P(SRFLD,"^",2)_"^"_SRZ Q
  ..I SRZ=513,$P(^SRF(SRTN,0),"^",9)<3071001 Q
- ..I SRZ=515  S X1=$P(^SRF(SRTN,0),"^",9),X2=$P($G(^SRF(SRTN,209)),"^",15) D ^%DTC I X'>30 Q
- ..I SRZ=484,$P($G(^SRF(SRTN,209)),"^",13)'="Y" Q
- ..S X=SRX1,SRX(SRZ)=$P(SRFLD,"^",2)_"^"_$P(X,";;",3)
+ ..S SRX(SRZ)=$P(SRFLD,"^",2)
  .I SRY(130,SRTN,SRZ,"I")="NS" D TR S X=$T(@SRP),SRFLD=$P(X,";;",2),SRDT=$P(SRFLD,"^",4) S:SRDT'="" SRLR(SRDT)=""
  S SRDT=0 F  S SRDT=$O(SRLR(SRDT)) Q:'SRDT  K SRX(SRDT)
- Q
-RED M SRZZ=SRX S SRZ=0 F  S SRZ=$O(SRX(SRZ)) Q:'SRZ  S SRZZ=$P($G(SRX(SRZ)),"^",2),SRXX(SRZZ)=$P($G(SRX(SRZ)),"^")_":"_SRZ
- K SRX M SRX=SRXX K SRXX
  Q
 TR S SRP=SRZ,SRP=$TR(SRP,"1234567890.","ABCDEFGHIJP")
@@ -18,110 +13,110 @@
 GET S X=$T(@J)
  Q
-BCF ;;236^Patient's Height^Height^;;1-01
-BCG ;;237^Patient's Weight^Weight^;;1-02
-DGE ;;475^Diabetes (Cardiac);;1-03
-BJC ;;203^History of COPD (Y/N)^COPD^;;1-04
-CDG ;;347^FEV1^FEV1^;;1-05
-BJI ;;209^Cardiomegaly on Chest X-Ray (Y/N)^Cardiomegaly (X-ray)^;;1-06
-CDH ;;348^Pulmonary Rales (Y/N)^Pulmonary Rales^;;1-07
-EAJ ;;510^Current Smoker^Current Smoker^;;1-08
-CDI ;;349^Active Endocarditis (Y/N)^Active Endocarditis^;;1-09
-CEJ ;;350^Resting ST Depression (Y/N)^Resting ST Depression^;;1-10
-BDJ ;;240^Functional Health Status^Functional Status^;;1-11
-CEA ;;351^PCI Status^PCI^;;1-12
-BJE ;;205^Prior Myocardial Infarction^Prior MI^;;1-13
-CEB ;;352^Number of Prior Heart Surgeries^Number of Prior Heart Surgeries^;;1-14
-DHE ;;485^Prior Heart Surgeries;;1-15
-BFE ;;265^Peripheral Vascular Disease (Y/N)^Peripheral Vascular Disease^;;1-16
-BFD ;;264^Cerebral Vascular Disease (Y/N)^Cerebral Vascular Disease^;;1-17
-BFG ;;267^Angina (use NYHA Functional Class)^Angina (use CCS Class)^;;1-18
-BJG ;;207^Congestive Heart Failure (use NYHA Functional Class)^CHF (use NYHA Class)^;;1-19
-CEC ;;353^Current Diuretic Use (Y/N)^Current Diuretic Use^;;1-20
-CED ;;354^Current Digoxin Use (Y/N)^Current Digoxin Use^;;1-21
-CEE ;;355^IV NTG within 48 Hours Preceding Surgery (Y/N)^IV NTG within 48 Hours^;;1-22
-DGD ;;474^Preop use of circulatory Device;;1-23
-DFC ;;463^Hypertension^;;1-24
-DEG ;;457^HDL^^457.1;;2-01
-DEGPA ;;457.1^HDL, Date;;2-02
-DFA ;;461^LDL^^461.1;;2-03
-DFAPA ;;461.1^LDL, Date;;2-04
-DFB ;;462^Total Cholesterol^^462.1;;2-05
-DFBPA ;;462.1^Total Cholesterol, Date;;2-06
-DEH ;;458^Serum Triglyceride^^458.1;;2-07
-DEHPA ;;458.1^Serum Triglyceride, Date;;2-08
-DEI ;;459^Serum Potassium^^459.1;;2-09
-DEIPA ;;459.1^Serum Potassium, Date;;2-10
-DFJ ;;460^Serum Total Bilirubin^^460.1;;2-11
-DFJPA ;;460.1^Serum Total Bilirubin, Date;;2-12
-BBC ;;223^Preoperative Serum Creatinine^Creatinine^290;;2-13
-BIJ ;;290^Creatinine Date;;2-14
-BBE ;;225^Preoperative Serum Albumin^^292;;2-15
-BIB ;;292^Preoperative Serum Albumin Date;;2-16
-BAI ;;219^Preoperative Hemoglobin^^239;;2-17
-BCI ;;239^Preoperative Hemoglobin Date;;2-18
-EJD ;;504^Hemoglobin A1c^^504.1;;2-19
-EJDPA ;;504.1^Hemoglobin A1c, Date;;2-20
-DGF ;;476^Procedure Type;;3-01
-CEG ;;357^Left Ventricular End-Diastolic Pressure^LVEDP^;;3-02
-CEH ;;358^Aortic Systolic Pressure^Aortic Systolic Pressure^;;3-03
-CEI ;;359^PA Systolic Pressure^*PA Systolic Pressure^;;3-04
-CFJ ;;360^PAW Mean Pressure^*PAW Mean Pressure^;;3-05
-CFC ;;363^LV Contraction Grade^LV Contraction Grade  (from contrast or radionuclide angiogram or 2D echo^;;3-06
-DAE ;;415^Mitral Regurgitation^Mitral Regurgitation^;;3-07
-DGG ;;477^Aortic Stenosis;;3-08
-CFA ;;361^Left Main Stenosis^Left Main Stenosis^;;3-09
-CFBPA ;;362.1^Left Anterior Descending (LAD) Stenosis^LAD Stenosis^;;3-10
-CFBPB ;;362.2^Right Coronary Artery Stenosis^Right Coronary Stenosis^;;3-11
-CFBPC ;;362.3^Circumflex Coronary Artery Stenosis^Circumflex Stenosis^;;3-12
-DGH ;;478^Re-Do Lad Stenosis;;3-13
-DGI ;;479^Re-Do Right Coronary Stenosis;;3-14
-DHJ ;;480^Re-Do Circumflex Stenosis;;3-15
-CFD ;;364^Physician's Preoperative Estimate of Operative Mortality^Physician's Preoperative Estimate of Operative Mortality^;;4-01
-CFDPA ;;364.1^Date/Time of Estimate of Operative Mortality^Date/Time of Estimate of Operative Mortality^;;4-02
-APAC ;;1.13^ASA Class^ASA Classification^;;4-03
-DAD ;;414^Cardiac Surgical Priority^Surgical Priority^;;4-04
-DADPA ;;414.1^Date/Time of Cardiac Surgical Priority^Date/Time of Cardiac Surgical Priority^;;4-05
-PBB ;;.22^Time the Operation Began^Date/Time Operation Began^;;4-06
-PBC ;;.23^Time the Operation Ended^Date/Time Operation Ended^;;4-07
-CFE ;;365^CABG Distal Anastomoses with Vein^^;;5-01
-CFF ;;366^CABG Distal Anastomoses with IMA^^;;5-02
-DFD ;;464^Number with Radial Artery^;;5-03
-DFE ;;465^Number with Other Artery^;;5-04
-DAF ;;416^CABG Distal Anastomoses with Other Conduit^^;;5-05
-CFG ;;367^Aortic Valve Replacement (Y/N)^Aortic Valve Replacement^;;5-06
-CFH ;;368^Mitral Valve Replacement (Y/N)^Mitral Valve Replacement^;;5-07
-CFI ;;369^Tricuspid Valve Replacement (Y/N)^Tricuspid Valve Replacement^;;5-08
-CGJ ;;370^Valve Repair (Y/N)^Valve Repair^;;5-09
-CGA ;;371^LV Aneurysmectomy (Y/N)^LV Aneurysmectomy^;;5-10
-DHA ;;481^Bridge to transplant/Device;;5-11
-DHC ;;483^Transmyocardial Laser Revascularization;;5-12
-EAB ;;512^Maze Procedure;;5-13
-CGF ;;376^ASD Repair (Y/N)^ASD Repair^;;5-14
-CHJ ;;380^VSD Repair (Y/N)^VSD Repair^;;5-15
-CGH ;;378^Myectomy for IHSS (Y/N)^Myectomy for IHSS^;;5-16
-CGG ;;377^Myxoma Resection (Y/N)^Myxoma Resection^;;5-17
-CGI ;;379^Other Tumor Resection (Y/N)^Other Tumor Resection^;;5-18
-CGC ;;373^Cardiac Transplant (Y/N)^Cardiac Transplant^;;5-19
-CGB ;;372^Great Vessel Repair(Y/N)^Great Vessel Repair^;;5-20
-EJE ;;505^Endovascular Repair of Descending Thoracic Aorta (Y/N)^Endovascular Repair;;5-21
-EJB ;;502^Other Cardiac Procedures (Y/N);;5-22
-DHD ;;484^Other cardiac procedures (specify);;5-23
-CHA ;;381^Foreign Body Removal (Y/N)^Foreign Body Removal^;;5-24
-CHB ;;382^Pericardiectomy (Y/N)^Pericardiectomy^;;5-25
-DEA ;;451^Total CPB Time;;5-26
-DEJ ;;450^Total Ischemic Time;;5-27
-DFH ;;468^Incision Type^;;5-28
-DFI ;;469^Covert From Off Pump to CPB;;5-29
-CHD ;;384^Operative Death (Y/N)^Operative Death^;;6-01
-DAH ;;418^Hospital Admission Date And Time;;7-01
-DAI ;;419^Hospital Discharge Date And Time;;7-02
-DDJ ;;440^Cardiac Catheterization Date;;7-03
-PBJE ;;.205^Time Patient In OR;;7-04
-PBCB ;;.232^Time Patient Out OR;;7-05
-DGJ ;;470^Date and Time Patient Extubated;;7-06
-DGA ;;471^Date and Time Patient Discharged from ICU;;7-07
-DGC ;;473^Homeless(Y/N);;7-08
-DGB ;;472^Cardiac Surgery to NON-VA Facility;;7-09
-DDB ;;442^Employment Status;;7-10
-EAC ;;513^CT Surgery Consult Date;;7-11
-EAE ;;515^Cause for Delay for Cardiac Surgery;;7-12
+PBB ;;.22^Time the Operation Began^Date/Time Operation Began^
+PBC ;;.23^Time the Operation Ended^Date/Time Operation Ended^
+BCF ;;236^Patient's Height^Height^
+BCG ;;237^Patient's Weight^Weight^
+CDF ;;346^Diabetes^Diabetes^
+BJC ;;203^History of COPD (Y/N)^COPD^
+CDG ;;347^FEV1^FEV1^
+BJI ;;209^Cardiomegaly on Chest X-Ray (Y/N)^Cardiomegaly (X-ray)^
+CDH ;;348^Pulmonary Rales (Y/N)^Pulmonary Rales^
+EAJ ;;510^Current Smoker^Current Smoker^
+BBC ;;223^Preoperative Serum Creatinine^Creatinine^290
+CDI ;;349^Active Endocarditis (Y/N)^Active Endocarditis^
+CEJ ;;350^Resting ST Depression (Y/N)^Resting ST Depression^
+BDJ ;;240^Functional Health Status^Functional Status^
+CEA ;;351^PCI Status^PCI^
+BJE ;;205^Prior Myocardial Infarction^Prior MI^
+CEB ;;352^Number of Prior Heart Surgeries^Number of Prior Heart Surgeries^
+BFE ;;265^Peripheral Vascular Disease (Y/N)^Peripheral Vascular Disease^
+BFD ;;264^Cerebral Vascular Disease (Y/N)^Cerebral Vascular Disease^
+BFG ;;267^Angina (use NYHA Functional Class)^Angina (use CCS Class)^
+BJG ;;207^Congestive Heart Failure (use NYHA Functional Class)^CHF (use NYHA Class)^
+CEC ;;353^Current Diuretic Use (Y/N)^Current Diuretic Use^
+CED ;;354^Current Digoxin Use (Y/N)^Current Digoxin Use^
+CEE ;;355^IV NTG within 48 Hours Preceding Surgery (Y/N)^IV NTG within 48 Hours^
+CEF ;;356^Preoperative use of IABP (Y/N)^Preop Use of IABP^
+CEG ;;357^Left Ventricular End-Diastolic Pressure^LVEDP^
+CEH ;;358^Aortic Systolic Pressure^Aortic Systolic Pressure^
+CEI ;;359^PA Systolic Pressure^*PA Systolic Pressure^
+CFJ ;;360^PAW Mean Pressure^*PAW Mean Pressure^
+CFA ;;361^Left Main Stenosis^Left Main Stenosis^
+CFBPA ;;362.1^Left Anterior Descending (LAD) Stenosis^LAD Stenosis^
+CFBPB ;;362.2^Right Coronary Artery Stenosis^Right Coronary Stenosis^
+CFBPC ;;362.3^Circumflex Coronary Artery Stenosis^Circumflex Stenosis^
+CFC ;;363^LV Contraction Grade^LV Contraction Grade  (from contrast or radionuclide angiogram or 2D echo^
+DAE ;;415^Mitral Regurgitation^Mitral Regurgitation^
+CFD ;;364^Physician's Preoperative Estimate of Operative Mortality^Physician's Preoperative Estimate of Operative Mortality^
+CFDPA ;;364.1^Date/Time of Estimate of Operative Mortality^Date/Time of Estimate of Operative Mortality^
+APAC ;;1.13^ASA Class^ASA Classification^
+DAD ;;414^Cardiac Surgical Priority^Surgical Priority^
+DADPA ;;414.1^Date/Time of Cardiac Surgical Priority^Date/Time of Cardiac Surgical Priority^
+CHD ;;384^Operative Death (Y/N)^Operative Death^
+CFE ;;365^CABG Distal Anastomoses with Vein^^
+CFF ;;366^CABG Distal Anastomoses with IMA^^
+CFG ;;367^Aortic Valve Replacement (Y/N)^Aortic Valve Replacement^
+CFH ;;368^Mitral Valve Replacement (Y/N)^Mitral Valve Replacement^
+CFI ;;369^Tricuspid Valve Replacement (Y/N)^Tricuspid Valve Replacement^
+CGJ ;;370^Valve Repair (Y/N)^Valve Repair^
+CGA ;;371^LV Aneurysmectomy (Y/N)^LV Aneurysmectomy^
+CGB ;;372^Great Vessel Repair(Y/N)^Great Vessel Repair^
+EJE ;;505^Endovascular Repair of Descending Thoracic Aorta (Y/N)^Endovascular Repair
+CGC ;;373^Cardiac Transplant (Y/N)^Cardiac Transplant^
+CGF ;;376^ASD Repair (Y/N)^ASD Repair^
+CHJ ;;380^VSD Repair (Y/N)^VSD Repair^
+CGG ;;377^Myxoma Resection (Y/N)^Myxoma Resection^
+CHA ;;381^Foreign Body Removal (Y/N)^Foreign Body Removal^
+CGH ;;378^Myectomy for IHSS (Y/N)^Myectomy for IHSS^
+CHB ;;382^Pericardiectomy (Y/N)^Pericardiectomy^
+CGI ;;379^Other Tumor Resection (Y/N)^Other Tumor Resection^
+DAF ;;416^CABG Distal Anastomoses with Other Conduit^^
+DDB ;;442^Employment Status
+BAI ;;219^Preoperative Hemoglobin^^239
+BCI ;;239^Preoperative Hemoglobin Date
+BBE ;;225^Preoperative Serum Albumin^^292
+BIB ;;292^Preoperative Serum Albumin Date
+BIJ ;;290^Creatinine Date
+DEA ;;451^Total CPB Time
+DEJ ;;450^Total Ischemic Time
+DDJ ;;440^Cardiac Catheterization Date
+DAH ;;418^Hospital Admission Date And Time
+DAI ;;419^Hospital Discharge Date And Time
+DFC ;;463^Hypertension^
+DFD ;;464^Number with Radial Artery^
+DFE ;;465^Number with Other Artery^
+DFH ;;468^Incision Type^
+DFI ;;469^Covert From Off Pump to CPB
+DGJ ;;470^Date and Time Patient Extubated
+DGA ;;471^Date and Time Patient Discharged from ICU
+DGB ;;472^Cardiac Surgery to NON-VA Facility
+PBJE ;;.205^Time Patient In OR
+PBCB ;;.232^Time Patient Out OR
+DEG ;;457^HDL^^457.1
+DEGPA ;;457.1^HDL, Date
+DEH ;;458^Serum Triglyceride^^458.1
+DEHPA ;;458.1^Serum Triglyceride, Date
+DEI ;;459^Serum Potassium^^459.1
+DEIPA ;;459.1^Serum Potassium, Date
+DFJ ;;460^Serum Total Bilirubin^^460.1
+DFJPA ;;460.1^Serum Total Bilirubin, Date
+DFA ;;461^LDL^^461.1
+DFAPA ;;461.1^LDL, Date
+DFB ;;462^Total Cholesterol^^462.1
+DFBPA ;;462.1^Total Cholesterol, Date
+EJD ;;504^Hemoglobin A1c^^504.1
+EJDPA ;;504.1^Hemoglobin A1c, Date
+DGE ;;475^Diabetes (Cardiac)
+DGD ;;474^Preop use of circulatory Device
+DGF ;;476^Procedure Type
+DGG ;;477^Aortic Stenosis
+DGH ;;478^Re-Do Lad Stenosis
+DGI ;;479^Re-Do Right Coronary Stenosis
+DHJ ;;480^Re-Do Circumflex Stenosis
+DHA ;;481^Bridge to transplant/Device
+EAB ;;512^Maze Procedure
+DHC ;;483^Transmyocardial Laser Revascularization
+EJB ;;502^Other Cardiac Procedures (Y/N)
+DHD ;;484^Other cardiac procedures (specify)
+DHE ;;485^Prior Heart Surgeries
+EAC ;;513^CT Surgery Consult Date
Index: FOIAVistA/tag/r/SURGERY-SR/SROAUTLC.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAUTLC.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAUTLC.m	(revision 636)
@@ -1,4 +1,4 @@
 SROAUTLC ;BIR/ADM - CARDIAC RISK ASSESSMENT UTILITY ;08/23/07
- ;;3.0; Surgery ;**38,71,90,88,95,97,102,96,125,153,163,164,166**;24 Jun 93;Build 6
+ ;;3.0; Surgery ;**38,71,90,88,95,97,102,96,125,153,163,164**;24 Jun 93;Build 2
  ;
  ; Reference to ^DIC(45.3 supported by DBIA #218
@@ -43,20 +43,13 @@
  Q
 CHK ; check for missing cardiac assessment information
- K SRX,SRZZ F SRC="CLIN","LAB","CATH","OP","CAR","OUT","R" K DA,DIC,DIQ,DR,SRY S DIC="^SRF(",DA=SRTN,DIQ="SRY",DIQ(0)="I" D @SRC D EN^DIQ1 D ^SROAUTL4
- D RED^SROAUTL4
+ K SRX F SRC="CLIN","COC","CP","CLR" K DA,DIC,DIQ,DR,SRY S DIC="^SRF(",DA=SRTN,DIQ="SRY",DIQ(0)="I" D @SRC D EN^DIQ1 D ^SROAUTL4
  Q
-CLIN S DR="236;237;475;203;347;209;348;510;349;350;240;351;205;352;485;265;264;267;207;353;354;355;474;463"
+CLIN S DR="236;237;475;203;347;209;348;510;223;290;219;239;225;292;349;350;240;351;205;352;485;265;264;267;207;353;354;355;463;474"
  Q
-CATH S DR="476;357;358;359;360;363;415;477;361;362.1;362.2;362.3;478;479;480"
+COC S DR="476;477;357;358;359;360;361;362.1;362.2;362.3;363;415;474;364;364.1;1.13;414;414.1;384;.22;.23;472;478;479;480"
  Q
-R S DR="418;419;440;.205;.232;470;471;473;472;442;513;515"
- Q
-OP S DR="364;364.1;1.13;414;414.1;.22;.23"
- Q
-OUT S DR="384"
- Q
-CAR S DR="365;366;464;465;416;367;368;369;370;371;481;483;512;376;380;378;377;379;373;372;505;502;381;382;451;450;468;469"
+CP S DR="365;366;464;465;416;367;368;369;370;371;372;505;450;451;373;376;380;377;381;378;382;379;468;469;.205;.232;470;471;418;419;440;481;512;483;502;513"
  I $P($G(^SRF(SRTN,209)),"^",13)="Y"!($P($G(^SRF(SRTN,209)),"^",13)="") S DR=DR_";484"
  Q
-LAB S DR="457;457.1;461;461.1;462;462.1;458;458.1;459;459.1;460;460.1;223;290;225;292;219;239;504;504.1"
+CLR S DR="457;457.1;458;458.1;459;459.1;460;460.1;461;461.1;462;462.1;504;504.1"
  Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROCODE.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROCODE.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROCODE.m	(revision 636)
@@ -1,9 +1,9 @@
-SROCODE ;BIR/MAM - SET UP FLAG FOR ANESTHESIA AGENTS ;01/30/08
- ;;3.0; Surgery ;**72,41,114,151,166**;24 Jun 93;Build 6
+SROCODE ;B'HAM ISC/MAM - SET UP FLAG FOR ANESTHESIA AGENTS ; [ 05/06/98   7:14 AM ]
+ ;;3.0; Surgery ;**72,41,114,151**;24 Jun 93
  ;
  ; Reference to ENS^PSSGIU supported by DBIA #895
+ ; Reference to ^PSS50 supported by DBIA #4533
  ;
-1 N SRTEST S SRTEST=50,SRTEST(0)="AEQSZ",SRTEST("A")="Enter the name of the drug you wish to flag: "
- D DIC^PSSDI(50,"SR",.SRTEST) G:+Y<1 DONE S SROIUDA=+Y,SROIRX=$P(Y,"^",2),SROIUX="S^SURGERY" D SROIU
+1 W !! K DIR S DIR(0)="P^50:QEAM",DIR("A")="Enter the name of the drug you wish to flag" D ^DIR G:Y<1 DONE S SROIUDA=+Y,SROIRX=$P(Y,"^",2),SROIUX="S^SURGERY" D SROIU
  G 1
 SROIU Q:'$D(SROIUDA)!'$D(SROIUX)  Q:SROIUX'?1E1"^"1.E
Index: FOIAVistA/tag/r/SURGERY-SR/SROESPR1.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROESPR1.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROESPR1.m	(revision 636)
@@ -1,4 +1,4 @@
 SROESPR1 ;BIR/ADM - SURGERY E-SIG UTILITY ; [ 04/21/04  12:08 PM ]
- ;;3.0; Surgery ;**100,128,162**;24 Jun 93;Build 4
+ ;;3.0; Surgery ;**100,128**;24 Jun 93
  ;
  ;** NOTICE: This routine is part of an implementation of a nationally
@@ -98,5 +98,4 @@
  . S SRY=4 D SETCONT() Q:'SRCONT
  . W !!,$$DATE^SROESPR(^TMP("SRLQ",$J,SRDA,"ZADD",SRADD,1301,"I"),"MM/DD/CCYY HR:MIN"),?21,"ADDENDUM"
- . W ?41,"STATUS: ",^TMP("SRLQ",$J,SRDA,"ZADD",SRADD,.05,"E")
  . S SRI=0
  . F  S SRI=$O(^TMP("SRLQ",$J,SRDA,"ZADD",SRADD,"TEXT",SRI)) Q:SRI'>0  D  Q:'SRCONT
Index: FOIAVistA/tag/r/SURGERY-SR/SROGMTS.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROGMTS.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROGMTS.m	(revision 636)
@@ -1,4 +1,4 @@
 SROGMTS ;BIR/ADM - SURGERY HEALTH SUMMARY ; [ 08/08/01  7:12 AM ]
- ;;3.0; Surgery ;**100,127,162**;24 Jun 93;Build 4
+ ;;3.0; Surgery ;**100,127**;24 Jun 93
  ;
  ;** NOTICE: This routine is part of an implementation of a nationally
@@ -22,6 +22,14 @@
  S:'SRSG DR=".09;.31;26;27;33;50;55;59;66;121;122;123;124;125"
  D EN^DIQ1 S REC(130,IEN,"STATUS")=$$OS(IEN) S:+SRSG REC(130,IEN,"VERIFIED")=$S($G(REC(130,IEN,43,"I"))'="Y":"(Unverified)",1:"")
- S SRM=$G(REC(130,IEN,27,"I")) I SRM>0 D CPT(SRM,$P($G(^SRF(IEN,0)),"^",9),130,27)
- D DICT^SROGMTS0,SUB,SPD
+ S SRM=$G(REC(130,IEN,27,"I")) I SRM>0 D
+ . S SRC=$$CPT^ICPTCOD(SRM,$P($G(^SRF(IEN,0)),"^",9)),(SRCS,SRS)=$$EN2^SROGMTS0($P(SRC,"^",3))
+ . S REC(130,IEN,27,"X")=$P(SRC,"^",2)_"^"_$P(SRC,"^",3)
+ . S SRC=$P(SRC,"^",2),SRT=$$EN2^SROGMTS0($G(REC(130,IEN,26,"E")))
+ . S:$L(SRS)&(SRS'=SRT) SRT=SRT_" - "_SRS
+ . S:$L(SRC)=5 SRT=SRT_" (CPT "_SRC_")",SRCS=SRCS_" (CPT "_SRC_")"
+ . S REC(130,IEN,27,"N")=SRS
+ . S (REC(130,IEN,26,"S"),REC(130,IEN,27,"S"))=SRT
+ . S REC(130,IEN,27,"S")=SRCS
+ D DICT^SROGMTS0,SUB
  S:$D(REC(130,IEN,32)) REC(130,IEN,32,"S")=$$EN2^SROGMTS0($G(REC(130,IEN,32,"E")))
  S:$D(REC(130,IEN,33)) REC(130,IEN,33,"S")=$$EN2^SROGMTS0($G(REC(130,IEN,33,"E")))
@@ -104,5 +112,14 @@
  . . S DA(SUB)=SRI
  . . D EN^DIQ1
- . . S SRM=+($G(REC(130,+($G(IEN)),SUB,+($G(SRI)),.01,"I"))) I SRM>0 D MOD(SRM,FILE,SUB)
+ . . S SRM=+($G(REC(130,+($G(IEN)),SUB,+($G(SRI)),.01,"I")))
+ . . I SRM>0 N SRMOD D
+ . . . S SRMOD=$$MOD^ICPTMOD(+SRM,"I",$P($G(^SRF(IEN,0)),"^",9))
+ . . . S SRC=$P(SRMOD,"^",2)
+ . . . S SRS=$P(SRMOD,"^",3)
+ . . . S REC(130,IEN,SUB,SRI,.01,"MID")=SRC
+ . . . S REC(130,IEN,SUB,SRI,.01,"MOD")=SRS
+ . . . S SRT=$$EN2^SROGMTS0(SRS)
+ . . . S:$L(SRC) SRT=SRT_" (CPT Mod "_SRC_")"
+ . . . S REC(130,IEN,SUB,SRI,.01,"S")=SRT
  ;
  ; ^SRF(DO,13,I)                .42  Other Proc          13;0  130.16
@@ -147,42 +164,2 @@
 SG(X) ; Surgical (Operative) Record
  S X=$$GET1^DIQ(130,+($G(X)),118,"I") S X=$S(X["Y":0,1:1) Q X
-CPT(SRM,SRDOO,SRFIL,SRFLD) ;Set CPT code into REC array
- S SRC=$$CPT^ICPTCOD(SRM,SRDOO),(SRCS,SRS)=$$EN2^SROGMTS0($P(SRC,"^",3))
- S REC(SRFIL,IEN,SRFLD,"X")=$P(SRC,"^",2)_"^"_$P(SRC,"^",3)
- S SRC=$P(SRC,"^",2),SRT=$$EN2^SROGMTS0($G(REC(130,IEN,26,"E")))
- S:$L(SRS)&(SRS'=SRT) SRT=SRT_" - "_SRS
- S:$L(SRC)=5 SRT=SRT_" (CPT "_SRC_")",SRCS=SRCS_" (CPT "_SRC_")"
- S REC(SRFIL,IEN,SRFLD,"N")=SRS
- S:SRFIL=130 REC(130,IEN,26,"S")=SRT
- S REC(SRFIL,IEN,SRFLD,"S")=SRT
- S REC(SRFIL,IEN,SRFLD,"S")=SRCS
- Q
-MOD(SRM,SRFIL,SUB) ;Set CPT Modifier into REC array
- S SRMOD=$$MOD^ICPTMOD(+SRM,"I",$P($G(^SRF(IEN,0)),"^",9))
- S SRC=$P(SRMOD,"^",2)
- S SRS=$P(SRMOD,"^",3)
- S REC(SRFIL,IEN,SUB,SRI,.01,"MID")=SRC
- S REC(SRFIL,IEN,SUB,SRI,.01,"MOD")=SRS
- S SRT=$$EN2^SROGMTS0(SRS)
- S:$L(SRC) SRT=SRT_" (CPT Mod "_SRC_")"
- S REC(SRFIL,IEN,SUB,SRI,.01,"S")=SRT
- Q
-SPD ;Obtain Surgery Procedure/Diagnosis Code File entry
- S (FILE,DIC)=136,DA=+($G(IEN)),DIQ="REC(",DIQ(0)="IE"
- S DR=".01;.02;.03;10"
- D EN^DIQ1
- Q:'+$G(REC(FILE,IEN,10,"I"))
- S SRM=+$G(REC(FILE,IEN,.02,"I"))
- Q:'(SRM>0)  D CPT(SRM,$P($G(^SRF(IEN,0)),"^",9),FILE,.02)
- S SUB=136.01,DR=1,DR(SUB)=".01",DIQ="REC(136,"_IEN_","
- K REC(FILE,IEN,SUB) S SRI=0 F  S SRI=$O(^SRO(FILE,(+$G(IEN)),DR,SRI))  Q:+SRI=0  D
- .S DA(SUB)=SRI
- .D EN^DIQ1
- .S SRM=REC(FILE,IEN,SUB,SRI,.01,"I") I SRM>0 D MOD(SRM,FILE,SUB)
- N DA S DA=IEN,SUB=136.011,DR=11,DR(SUB)=".01;1"
- K REC(FILE,IEN,SUB) S SRI=0 F  S SRI=$O(^SRO(FILE,(+$G(IEN)),DR,SRI)) Q:+SRI=0  D
- . S DA(SUB)=SRI
- . D EN^DIQ1
- S $P(REC(130,IEN,26,"S"),"-",2)=" "_REC(FILE,IEN,.02,"S")
- K REC(130,IEN,130.028) M REC(130,IEN,130.028)=REC(FILE,IEN,136.01)
- Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROMED.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROMED.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROMED.m	(revision 636)
@@ -1,4 +1,6 @@
-SROMED ;BIR/MAM - ENTER/EDIT MEDICATIONS ;01/30/08
- ;;3.0; Surgery ;**21,44,79,100,151,166**;24 Jun 93;Build 6
+SROMED ;B'HAM ISC/MAM - ENTER/EDIT MEDICATIONS ; [ 01/30/01  12:22 AM ]
+ ;;3.0; Surgery ;**21,44,79,100,151**;24 Jun 93
+ ;
+ ; Reference to ^PSDRUG supported by DBIA #221
  ;
  I '$D(^XUSEC("SROEDIT",DUZ))&'$D(^XUSEC("SROANES",DUZ)) W !!!,$C(7),"You must hold the SROEDIT key or the SROANES key to use this option !",! Q
@@ -10,5 +12,6 @@
  I M?.E1C.E W !!,"Your answer has a control character in it, please re-type it.",! D RET G:SRQ END G START
  S (X,SRMM)=SRM D
- .N SRDIC,SRD S SRDIC=50,SRDIC(0)="EMQSZ",SRD="B^C" D MIX^PSSDI(50,"SR",.SRDIC,SRD,X,,DT)
+ .I $L($T(SCREEN^PSSDI)) N SRTEST S SRTEST=50,SRTEST(0)="EQSZ" D DIC^PSSDI(50,"SR",.SRTEST,X,,DT) Q  ;call PSSDI if PSS*1*104 is released
+ .S DIC="^PSDRUG(",DIC(0)="QEZM",DIC("S")="I $S('$G(^PSDRUG(Y,""I"")):1,DT'>^(""I""):1,1:0)" D ^DIC K DIC
  S SRM=$S(Y<0:"",1:$P(Y,"^",2))
  I SRM="",SRMM'["?" W !!,"The Drug '",SRMM,"' does not exist in your Drug file.  Please re-enter. " D RET G:SRQ END G START
@@ -42,9 +45,2 @@
 D1 I SRF=1 R !!,"ENTER DOSE: ",SRD1:DTIME S:'$T SRD1="^" K:SRD1["^" SRD Q:SRD1["^"  W:SRD1["?" !!,"Dosage must be 1 to 15 characters in length" G:SRD1["?" D1 S SRD=SRD1,SRF=0 G DOSE
  Q
-SCR(SRFL,SRPK) ; screening for fields point to the DRUG file (#50)
- N SRDT,SRN0,SRNODE,SROK,SRY S SROK=0,SRY=+Y K ^TMP($J,"SR")
- I $G(SRFL)=1 S SRTN=$S($G(SRTN):SRTN,1:DA),SRN0=$G(^SRF(SRTN,0)),SRDT=$S($P(SRN0,"^",9):$P($P(SRN0,"^",9),"."),1:DT)
- D DATA^PSS50(SRY,,$S($G(SRFL):SRDT,1:""),,,"SR")
- I SRPK="S" D  Q SROK
- .S SRNODE=$P($G(^TMP($J,"SR",SRY,63)),"^") K ^TMP($J,"SR") I SRNODE["S" S SROK=1
- S SROK=$S($P($G(^TMP($J,"SR",0)),"^")=-1:0,1:1) K ^TMP($J,"SR") Q SROK
Index: FOIAVistA/tag/r/SURGERY-SR/SROWL.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROWL.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROWL.m	(revision 636)
@@ -1,5 +1,4 @@
-SROWL ;B'HAM ISC/MAM - ENTER PATIENT ON WAITING LIST ; 4/18/07 11:55am
- ;;3.0;Surgery;**58,119,162**;24 Jun 93;Build 4
- ;
+SROWL ;B'HAM ISC/MAM - ENTER PATIENT ON WAITING LIST ;13 Feb 1989  11:32 AM
+ ;;3.0;Surgery;**58,119**;24 Jun 93
 ENTER ; enter a patient on the waiting list
  S SRSOUT=0 W @IOF K DIC S DIC(0)="QEAMZL",(DIC,DLAYGO)=133.8,DIC("A")="  Select Surgical Specialty: " D ^DIC K DIC,DLAYGO G:Y<0 END S SRSS=+Y,SRSS1=+Y(0)
@@ -74,6 +73,5 @@
  S SRDEMO(5)=SRDEMO(200,SRNPREC,".132")        ;Office Phone
  ; Set up DR array that FileMan will use, with a call to ^DIE, after this subroutine Quits to "stuff" the demographic data.
- ; all fields except STATE will ignore input transform (SR*3.0*162)
- S DIC("DR")="1////"_SRDEMO(1)_";2////"_SRDEMO(2)_";3///"_SRDEMO(3)_";4////"_SRDEMO(4)_";5////"_SRDEMO(5)_";6////"_$P(Y,U,1)
+ S DIC("DR")="1///"_SRDEMO(1)_";2///"_SRDEMO(2)_";3///"_SRDEMO(3)_";4///"_SRDEMO(4)_";5///"_SRDEMO(5)_";6///"_$P(Y,U,1)
  S DIC(0)="Z"    ;Tells FileMan to file the data without any more user input
  Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROXR4.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROXR4.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROXR4.m	(revision 636)
@@ -1,4 +1,4 @@
-SROXR4 ;BIR/MAM - CROSS REFERENCES ;11/05/07
- ;;3.0; Surgery ;**62,83,100,153,166**;24 Jun 93;Build 6
+SROXR4 ;BIR/MAM - CROSS REFERENCES ;03/15/06
+ ;;3.0; Surgery ;**62,83,100,153**;24 Jun 93;Build 11
  Q
 PRO ; stuff default prosthesis info
@@ -56,18 +56,2 @@
  N SRTD,SRLO D AQDT K ^SRF("AQ",SRTD,DA)
  Q
-AT ; set logic for AT x-ref on DATE OF LAST TRANSMISSION
- N SRX S ^SRF("AT",X,DA)=""
- S SRX=$P($G(^SRF(DA,"RA")),"^",4) I SRX,SRX'=X K ^SRF("AT",SRX,DA)
- Q
-KAT ; kill logic for AT x-ref on DATE OF LAST TRANSMISSION
- N SRX K ^SRF("AT",X,DA)
- S SRX=$P($G(^SRF(DA,"RA")),"^",4) I SRX,SRX'=X K ^SRF("AT",SRX,DA)
- Q
-AT1 ; set logic for AT x-ref on DATE TRANSMITTED
- N SRX S SRX=$P($G(^SRF(DA,"RA")),"^",8) I SRX Q
- S ^SRF("AT",X,DA)=""
- Q
-KAT1 ; kill logic for AT x-ref on DATE TRANSMITTED
- N SRX S SRX=$P($G(^SRF(DA,"RA")),"^",8)
- I SRX'=X K ^SRF("AT",X,DA)
- Q
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUDD1.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUDD1.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUDD1.m	(revision 636)
@@ -1,4 +1,4 @@
 TIUDD1 ; SLC/JER - XREFs for file 8925.1 ;19-OCT-2001 10:05:37 [7/28/04 9:08am]
- ;;1.0;TEXT INTEGRATION UTILITIES;**7,51,115,163,224**;Jun 20, 1997;Build 7
+ ;;1.0;TEXT INTEGRATION UTILITIES;**7,51,115,163**;Jun 20, 1997
 SACL(X,FLD) ; Set logic for ACL cross-reference
  ; Called from fields .01 (NAME), .07 (STATUS), .03 (PRINT NAME),
@@ -31,7 +31,6 @@
  . I $P($G(^TIU(8925.1,+TIUDA,0)),U,4)'="DOC" Q
  . S TIUSTTS=$P($G(^TIU(8925.1,+TIUDA,0)),U,7)
- . ;VMPELR P 224 allow the update of inactive titles
- . ; Include only TEST or ACTIVE or INACTIVE TITLES
- . I $S(TIUSTTS=10:0,TIUSTTS=11:0,TIUSTTS=13:0,1:1) Q
+ . ; Include only TEST or ACTIVE titles
+ . I $S(TIUSTTS=10:0,TIUSTTS=11:0,1:1) Q
  . S TIUTTL=$P($G(^TIU(8925.1,+TIUDA,0)),U)
  . Q:TIUTTL']""
@@ -73,6 +72,6 @@
  . I $P($G(^TIU(8925.1,+TIUDA,0)),U,4)'="DOC" Q
  . S TIUSTTS=$P($G(^TIU(8925.1,+TIUDA,0)),U,7)
- . ; Include only TEST or ACTIVE OR inactive titles
- . I $S(TIUSTTS=10:0,TIUSTTS=11:0,TIUSTTS=13:0,1:1) Q
+ . ; Include only TEST or ACTIVE titles
+ . I $S(TIUSTTS=10:0,TIUSTTS=11:0,1:1) Q
  . ; First build x-ref for Clinical Documents & Immediate descendents
  . S TIUCLASS=+$$CLINDOC^TIULC1(+TIUDA)
@@ -80,8 +79,4 @@
  . S ^TIU(8925.1,"ACL",TIUCLASS,X,+TIUDA)=""
  . S ^TIU(8925.1,"ACL",38,X,+TIUDA)=""
- . S TIUABV=$P($G(^TIU(8925.1,+TIUDA,0)),U,2)
- . I TIUABV]"" S TIUABV=TIUABV_"  <"_X_">" S ^TIU(8925.1,"ACL",TIUCLASS,TIUABV,+TIUDA)="",^TIU(8925.1,"ACL",38,TIUABV,+TIUDA)=""
- . S TIUPN=$P($G(^TIU(8925.1,+TIUDA,0)),U,3)
- . I TIUPN]"" S TIUPN=TIUPN_"  <"_X_">" S ^TIU(8925.1,"ACL",TIUCLASS,TIUPN,+TIUDA)="",^TIU(8925.1,"ACL",38,TIUPN,+TIUDA)=""
  . D SACLKWIC(X,TIUCLASS,+TIUDA)
  . ; Now build x-ref for document classes
@@ -89,9 +84,4 @@
  . I TIUCLASS'>0 Q
  . S ^TIU(8925.1,"ACL",TIUCLASS,X,+TIUDA)=""
- . ;VMP/ELR PATCH 224 ADDED NEXT 4 LINES
- . S TIUABV=$P($G(^TIU(8925.1,+TIUDA,0)),U,2)
- . I TIUABV]"" S TIUABV=TIUABV_"  <"_X_">" S ^TIU(8925.1,"ACL",TIUCLASS,TIUABV,+TIUDA)=""
- . S TIUPN=$P($G(^TIU(8925.1,+TIUDA,0)),U,3)
- . I TIUPN]"" S TIUPN=TIUPN_"  <"_X_">" S ^TIU(8925.1,"ACL",TIUCLASS,TIUPN,+TIUDA)=""
  . D SACLKWIC(X,TIUCLASS,+TIUDA)
  Q
@@ -124,6 +114,6 @@
  . I $P($G(^TIU(8925.1,+TIUDA,0)),U,4)'="DOC" Q
  . S TIUSTTS=$P($G(^TIU(8925.1,+TIUDA,0)),U,7)
- . ; Include only TEST or ACTIVE or INACTIVE titles
- . I $S(TIUSTTS=10:0,TIUSTTS=11:0,TIUSTTS=13:0,1:1) Q
+ . ; Include only TEST or ACTIVE titles
+ . I $S(TIUSTTS=10:0,TIUSTTS=11:0,1:1) Q
  . S TIUTTL=$P($G(^TIU(8925.1,+TIUDA,0)),U)
  . Q:TIUTTL']""
@@ -153,5 +143,5 @@
  . D KACLKWIC(TIUTTL,TIUCLASS,+TIUDA)
  I FLD=.01 D
- . N TIUDA,TIUABV,TIUPN
+ . N TIUDA
  . S TIUDA=$S(+$G(DA(1)):+$G(DA(1)),1:+$G(DA))
  . ; First remove x-ref for Clinical Documents & Immediate descendents
@@ -159,17 +149,8 @@
  . K ^TIU(8925.1,"ACL",TIUCLASS,X,+TIUDA)
  . K ^TIU(8925.1,"ACL",38,X,+TIUDA)
- . S TIUABV=$P($G(^TIU(8925.1,+TIUDA,0)),U,2)
- . I TIUABV]"" S TIUABV=TIUABV_"  <"_X_">" K ^TIU(8925.1,"ACL",TIUCLASS,TIUABV,+TIUDA),^TIU(8925.1,"ACL",38,TIUABV,+TIUDA)
- . S TIUPN=$P($G(^TIU(8925.1,+TIUDA,0)),U,3)
- . I TIUPN]"" S TIUPN=TIUPN_"  <"_X_">" K ^TIU(8925.1,"ACL",TIUCLASS,TIUPN,+TIUDA),^TIU(8925.1,"ACL",38,TIUPN,+TIUDA)
  . D KACLKWIC(X,TIUCLASS,+TIUDA)
  . ; Now remove x-ref for document classes
  . S TIUCLASS=+$$DOCCLASS^TIULC1(+TIUDA)
  . K ^TIU(8925.1,"ACL",TIUCLASS,X,+TIUDA)
- . ;VMP/ELR PATCH 224 ADDED NEXT 4 LINES
- . S TIUABV=$P($G(^TIU(8925.1,+TIUDA,0)),U,2)
- . I TIUABV]"" S TIUABV=TIUABV_"  <"_X_">" K ^TIU(8925.1,"ACL",TIUCLASS,TIUABV,+TIUDA)
- . S TIUPN=$P($G(^TIU(8925.1,+TIUDA,0)),U,3)
- . I TIUPN]"" S TIUPN=TIUPN_"  <"_X_">" K ^TIU(8925.1,"ACL",TIUCLASS,TIUPN,+TIUDA)
  . D KACLKWIC(X,TIUCLASS,+TIUDA)
  Q
@@ -180,3 +161,3 @@
  . I "(,.?! '-/&:;)"[TIUC S TIUC=$E($E(X,TIUI,TIUJ-1),1,30),TIUI=TIUJ+1
  . I  I $L(TIUC)>2 K ^TIU(8925.1,"ACL",TIUCLASS,TIUC_"  <"_X_">",TIUDA),^TIU(8925.1,"ACL",38,TIUC_"  <"_X_">",TIUDA)
- Q 
+ Q
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS ; GENERATED FROM 'TIU ENTER/EDIT DS' INPUT TEMPLATE(#1491), FILE 8925;01/12/06
+TIUEDS ; GENERATED FROM 'TIU ENTER/EDIT DS' INPUT TEMPLATE(#1491), FILE 8925;03/29/06
  D DE G BEGIN
 DE S DIE="^TIU(8925,",DIC=DIE,DP=8925,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^TIU(8925,DA,""))=""
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS1.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS1.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS1.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS1 ; ;01/12/06
+TIUEDS1 ; ;03/29/06
  S X=DG(DQ),DIC=DIE
  I $P($$DOCTYPE^TIULF(+DA),U)="DOC",$L($P(^TIU(8925,+DA,0),U)),(+$P(^(0),U,3)>0) S ^TIU(8925,"AA",+X,+^TIU(8925,+DA,0),(9999999-$P(+^AUPNVSIT($P(^TIU(8925,+DA,0),U,3),0),".")),+DA)=""
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS10.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS10.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS10.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS10 ; ;01/12/06
+TIUEDS10 ; ;03/29/06
  D DE G BEGIN
 DE S DIE="^TIU(8925,",DIC=DIE,DP=8925,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^TIU(8925,DA,""))=""
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS11.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS11.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS11.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS11 ; ;01/12/06
+TIUEDS11 ; ;03/29/06
  S X=DE(12),DIC=DIE
  I +$P($G(^TIU(8925,+DA,0)),U),+$P($G(^TIU(8925,+DA,13)),U),+$P($G(^TIU(8925,+DA,0)),U,5) K ^TIU(8925,"ALOC",+X,+$P($G(^TIU(8925,+DA,0)),U),+$P($G(^TIU(8925,+DA,0)),U,5),(9999999-$P($G(^TIU(8925,+DA,13)),U)),DA)
Index: FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS12.m
===================================================================
--- FOIAVistA/trunk/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS12.m	(revision 631)
+++ FOIAVistA/tag/r/TEXT_INTEGRATION_UTILITIES-GMRP-TIU/TIUEDS12.m	(revision 636)
@@ -1,3 +1,3 @@
-TIUEDS12 ; ;01/12/06
+TIUEDS12 ; ;03/29/06
  S X=DG(DQ),DIC=DIE
  I +$P($G(^TIU(8925,+DA,0)),U),+$P($G(^TIU(8925,+DA,13)),U),+$P($G(^TIU(8925,+DA,0)),U,5) S ^TIU(8925,"ALOC",+X,+$P($G(^TIU(8925,+DA,0)),U),+$P($G(^TIU(8925,+DA,0)),U,5),(9999999-$P($G(^TIU(8925,+DA,13)),U)),DA)=""
